%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libxml2-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IPC/Run.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(RPC/XML.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name RPC-XML-Parser-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt7
Summary: Fast XML-RPC parser written in C
Group: Development/Perl
License: Perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MI/MIKAGE/%{module_name}-%{module_version}.tar.gz

%description
This module provides a single function the parse_rpc_xml entry elsewhere in this document to parse
XML-RPC request and response.

=over 4

=item parse_rpc_xml

  my $obj = parse_rpc_xml($xml);

Parse an XML-RPC methodCall or methodResponse. Resulting object is a
RPC::XML::request or RPC::XML::response depending on the XML.

Note that UTF-8 flags aren't turned on in strings in the result
structure. This behavior is different from RPC::XML::Parser.

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.04-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.04-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.04-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt2
- rebuild to get rid of unmets

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

